<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>
	
	
<!-- ========================================= Modified Current=============================================== -->
<!--
PK
  1.Sasaran Kerja Pegawai
  2.Realisasi SKP Bulanan
  R TB
    2.Tgs Tambahan,Kreatifitas
  R Perilaku
    2. Perilaku Bulanan
-->


		<!-- =============================== DEFINE NEW FILTER =============================== -->
        <record id="open_view_realisasi_tambahan_filter_set_default" model="ir.ui.view">
            <field name="name">project.tambahan.kreatifitas.select</field>
            <field name="model">project.tambahan.kreatifitas</field>
            <field name="arch" type="xml">
                <search string="Cari Kegiatan">
                    <field name="name" string="Nama Kegiatan"/>
                    <field name="user_id" string="Pegawai Yang dinilai" />
                    <field name="company_id" string="OPD" />
                    <field name="target_period_month" string="Bulan" />
                    <field name="target_period_year" string="Tahun" />
                    <separator/>

                    <filter icon="gtk-media-pause" string="Draft"
                    		name="Draft" domain="[('state', '=','draft')]" help="Draft Realisasi"/>
                    <filter icon="terp-check" string="Realisasi"
                    		name="realisasi" domain="[('state', '=','realisasi')]" help="Pengisian Realisasi "/>
                    <filter icon="terp-check" string="Penilaian"
                    		name="propose" domain="[('state', '=','propose')]" help="Realisasi Yang Sudah Diajukan "/>
                    <filter icon="terp-check" string="Banding"
                    		name="appeal" domain="[('state', '=','appeal')]" help="Realisasi Yang Diajukan Banding"/>
					<filter icon="terp-check" string="Verifikasi BKD"
							name="new" domain="[('state', '=','evaluated')]" help="Realisasi Yang Sedang Di Verifikasi "/>
                    <filter icon="terp-check" string="Selesai"
                    		name="done" domain="[('state', '=','done')]" help="Realisasi Yang Sudah Dinilai"/>

                     <filter icon="terp-check" string="Realisasi Tahun Ini" name="target_period_year_now" domain="[('target_period_year', '=',(time.strftime('%Y')) )]" help="Realisasi Tahun Ini"/>
                    <filter icon="terp-check" string="Realisasi Bulan Ini" name="target_period_month_now" domain="[('target_period_month', '=',(time.strftime('%m')) ),('target_period_year', '=',(time.strftime('%Y')) )]" help="Realisasi Bulan Ini"/>


                    <separator/>

                    <group expand="0" string="Group By...">
                        <filter string="OPD" name="" icon="terp-partner" domain="[]" context="{'group_by':'company_id'}"/>
                        <filter string="Status" name="group_state" icon="terp-partner" domain="[]" context="{'group_by':'state'}"/>
                        <filter string="Tahunan" name="" icon="terp-partner" domain="[]" context="{'group_by':'target_period_year'}"/>
                        <filter string="Bulanan" name="group_target_period_month" icon="terp-partner" domain="[]" context="{'group_by':'target_period_month'}"/>
                        <filter string="Pegawai Yang Dinilai" name="user_id" help="target_period_year" icon="terp-folder-blue" domain = "[]" context="{'group_by':'user_id'}"/>
                        <filter string="Pejabat Penilai" name="user_id_atasan" help="target_period_year" icon="terp-folder-blue" domain = "[]" context="{'group_by':'user_id_atasan'}"/>
                        <filter string="Atasan Pejabat Penilai" name="user_id_banding" help="target_period_year" icon="terp-folder-blue" domain = "[]" context="{'group_by':'user_id_banding'}"/>
                    </group>
                </search>
            </field>
        </record>


         <!-- =============================== REDEFINE THE MENU =============================== -->
         <record model="ir.actions.act_window" id="df_project.action_menu_realisasi_tambahan">
            <field name="name">Tugas Tambahan Dan Kreatifitas</field>
            <field name="res_model">project.tambahan.kreatifitas</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('user_id','=',uid)]</field>
            <field name="context">{'search_default_target_period_year_now': 1,'search_default_group_target_period_month': 1}</field>
            <field name="search_view_id" ref="open_view_realisasi_tambahan_filter_set_default"/>
            <field name="help" type="html">
              <p >
                Data Kosong
              </p>
            </field>
        </record>

         <record model="ir.actions.act_window" id="df_project_yearly.action_menu_realisasi_yearly_tambahan">
            <field name="name">Tugas Tambahan Dan Kreatifitas Tahunan</field>
            <field name="res_model">project.tambahan.yearly</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('user_id','=',uid),('state','!=','done')]</field>
            <field name="search_view_id" ref="df_project_yearly.open_view_realisasi_yearly_tambahan_kreatifitas_all_filter"/>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Data Kosong
              </p>
            </field>
        </record>

        <!-- arsip -->
        <record model="ir.actions.act_window" id="action_menu_realisasi_tambahan_arsip">
            <field name="name">Tugas Tambahan Dan Kreatifitas</field>
            <field name="res_model">project.tambahan.kreatifitas</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('user_id','=',uid)]</field>
            <field name="context">{'search_default_group_target_period_month': 1}</field>
            <field name="search_view_id" ref="df_project.open_view_realisasi_tambahan_kreatifitas_all_filter"/>
            <field name="help" type="html">
              <p >
                Data Kosong
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="action_menu_realisasi_tambahan_arsip_tree_view">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_tambahan_tree"/>
			<field name="act_window_id" ref="action_menu_realisasi_tambahan_arsip"/>
		</record>
        <record model="ir.actions.act_window.view" id="action_menu_realisasi_tambahan_arsip_form_view">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="df_project.view_menu_realisasi_tambahan_form"/>
			<field name="act_window_id" ref="action_menu_realisasi_tambahan_arsip"/>
		</record>

        <menuitem action="action_menu_realisasi_tambahan_arsip" id="menu_realisasi_tambahan_arsip_bulanan_arsip" name="Tgs Tambahan Kreatifitas Bulanan"
		parent="menu_arsip_penilaian_prestasi_kerja" sequence="4"  groups="df_project.group_project_user" />

        <record model="ir.actions.act_window" id="action_menu_realisasi_yearly_tambahan_arsip">
            <field name="name">Tugas Tambahan Dan Kreatifitas Tahunan</field>
            <field name="res_model">project.tambahan.yearly</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('user_id','=',uid)]</field>
            <field name="search_view_id" ref="df_project_yearly.open_view_realisasi_yearly_tambahan_kreatifitas_all_filter"/>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Data Kosong
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="action_menu_realisasi_yearly_tambahan_arsip_tree_view">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="df_project_yearly.view_menu_realisasi_yearly_tambahan_tree"/>
			<field name="act_window_id" ref="action_menu_realisasi_yearly_tambahan_arsip"/>
		</record>
        <record model="ir.actions.act_window.view" id="action_menu_realisasi_yearly_tambahan_arsip_form_view">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="df_project_yearly.view_menu_realisasi_yearly_tambahan_form"/>
			<field name="act_window_id" ref="action_menu_realisasi_yearly_tambahan_arsip"/>
		</record>

          <menuitem action="action_menu_realisasi_yearly_tambahan_arsip" id="menu_realisasi_tambahan_arsip_tahunan_arsip" name="Tgs Tambahan Kreatifitas Tahunan"
		parent="menu_arsip_penilaian_prestasi_kerja" sequence="5"  groups="df_project.group_project_user" />

	</data>
</openerp>


